Name:		sugar-paint-activity
Version:	63
Release:	%mkrel 6
Summary:	Paint activity for Sugar
License:	GPLv2
Group:		Graphical desktop/Other
Url:		http://wiki.sugarlabs.org/go/Activities/Paint
Source:		http://download.sugarlabs.org/sources/honey/Paint/Paint-%{version}.tar.bz2
Patch0:		Paint-52-linkage.patch
Requires:	sugar
Requires:	python-gi

BuildRequires:	gettext
BuildRequires:	pkgconfig(python2)
BuildRequires:	sugar-toolkit
BuildRequires:	sugar-toolkit-gtk3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Paint will provide a canvas for an individual or a group of children
to express themselves creatively through drawing.

%prep
%setup -q -n Paint-%{version}
%patch0 -p0
rm -fr fill/*_27

# do not strip library:
sed -i -e 's|strip -s _fill.so||' fill/Makefile

%build
pushd fill
make LDFLAGS="%ldflags" LD="%__cc"
popd
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{buildroot}%{_prefix}
%find_lang org.laptop.Oficina

%files -f org.laptop.Oficina.lang
%{_datadir}/applications/org.laptop.Oficina.activity.desktop
%{_datadir}/sugar/activities/*
%doc NEWS


%changelog
* Wed Jun 07 2017 akien <akien> 63-6.mga6
+ Revision: 1107208
- Add desktop file

* Wed Feb 17 2016 umeabot <umeabot> 63-5.mga6
+ Revision: 962966
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 daviddavid <daviddavid> 63-4.mga6
+ Revision: 895963
- do not strip library to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 63-3.mga5
+ Revision: 745166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 63-2.mga5
+ Revision: 689595
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 63-1.mga5
+ Revision: 627358
- new version

* Sat Nov 02 2013 fwang <fwang> 52-6.mga4
+ Revision: 549012
- requires python-gi

* Fri Oct 18 2013 umeabot <umeabot> 52-5.mga4
+ Revision: 519326
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 52-4.mga3
+ Revision: 383671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 fwang <fwang> 52-3.mga3
+ Revision: 327740
- use gcc as linker
- use ldflags

* Fri Dec 07 2012 fwang <fwang> 52-2.mga3
+ Revision: 327735
- rebuild .so files

* Thu Dec 06 2012 zezinho <zezinho> 52-1.mga3
+ Revision: 327566
- imported package sugar-paint-activity

